summaryrefslogtreecommitdiffstats
path: root/libraries/libtorrent-rasterbar
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:32:01 +0200
committer David Somero2010-05-13 00:32:01 +0200
commitab8df3ae5a7c47273c646f1fa5076383a1d738d5 (patch)
treee201f3b027faa2d8f1bd9e7f2d443a1b3b68cee9 /libraries/libtorrent-rasterbar
parentf5569ed5b733be78073e4ae08bd066b5f86c3a20 (diff)
downloadslackbuilds-ab8df3ae5a7c47273c646f1fa5076383a1d738d5.tar.gz
libraries/libtorrent-rasterbar: Updated for version 0.14.8
Diffstat (limited to 'libraries/libtorrent-rasterbar')
-rw-r--r--libraries/libtorrent-rasterbar/README2
-rw-r--r--libraries/libtorrent-rasterbar/libtorrent-rasterbar.SlackBuild39
-rw-r--r--libraries/libtorrent-rasterbar/libtorrent-rasterbar.info10
3 files changed, 41 insertions, 10 deletions
diff --git a/libraries/libtorrent-rasterbar/README b/libraries/libtorrent-rasterbar/README
index a0780fcbe0..6a7af40734 100644
--- a/libraries/libtorrent-rasterbar/README
+++ b/libraries/libtorrent-rasterbar/README
@@ -1,5 +1,3 @@
libtorrent is a C++ library that aims to be a good alternative to all the
other bittorrent implementations around. It is a library and not a full
featured client, although it comes with a working example client.
-
-This requires boost.
diff --git a/libraries/libtorrent-rasterbar/libtorrent-rasterbar.SlackBuild b/libraries/libtorrent-rasterbar/libtorrent-rasterbar.SlackBuild
index 06f1081ff2..766d813cd3 100644
--- a/libraries/libtorrent-rasterbar/libtorrent-rasterbar.SlackBuild
+++ b/libraries/libtorrent-rasterbar/libtorrent-rasterbar.SlackBuild
@@ -1,10 +1,29 @@
-#!/bin/sh -eu
+#!/bin/sh
# Slackware build script for libtorrent (rasterbar)
-# Written by Erik Hanson erik@slackbuilds.org
+
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libtorrent-rasterbar
-VERSION=0.14.3
+VERSION=0.14.8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,12 +35,17 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -33,13 +57,20 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var/lib \
--disable-static \
--enable-python-binding \
--with-zlib=system \
+ --with-boost-system=mt \
+ --with-boost-filesystem=mt \
+ --with-boost-thread=mt \
+ --with-boost-regex=mt \
+ --with-boost-program-options=mt \
--build=$ARCH-slackware-linux
make
@@ -60,4 +91,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libtorrent-rasterbar/libtorrent-rasterbar.info b/libraries/libtorrent-rasterbar/libtorrent-rasterbar.info
index 3ec7c17ac3..711201a568 100644
--- a/libraries/libtorrent-rasterbar/libtorrent-rasterbar.info
+++ b/libraries/libtorrent-rasterbar/libtorrent-rasterbar.info
@@ -1,8 +1,10 @@
PRGNAM="libtorrent-rasterbar"
-VERSION="0.14.3"
+VERSION="0.14.8"
HOMEPAGE="http://www.rasterbar.com/products/libtorrent/"
-DOWNLOAD="http://downloads.sourceforge.net/libtorrent/libtorrent-rasterbar-0.14.3.tar.gz"
-MD5SUM="6ce3148f8fbddbdfa472ef3c4c4cae61"
+DOWNLOAD="http://libtorrent.googlecode.com/files/libtorrent-rasterbar-0.14.8.tar.gz"
+MD5SUM="3fae9934b74e2ddf2c50c1f0ec320d75"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="dsomero"